Bug 494978 - rhpl.ethtool.getmodule fails on x86_64
rhpl.ethtool.getmodule fails on x86_64
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-04-08 17:13 EDT by Michael DeHaan
Modified: 2009-07-06 11:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-06 11:26:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael DeHaan 2009-04-08 17:13:26 EDT
Description of problem:

This was seen on RHEL 5 x86_64 but may also happen on RHEL 4.

#rpm -q rhpl


[root@test01-svm ~]# python

>>> import rhpl.ethtool as ethtool
>>> ethtool.get_module("eth0")
Traceback (most recent call last):
IOError: [Errno 95] Operation not supported

Applications need to use get_module to determine if certain interfaces are bridges.  This works as expected for x86.
Comment 1 Chris Lumens 2009-04-13 16:25:37 EDT
This doesn't universally not work on x86-64:

In [4]: rhpl.getArch()
Out[4]: 'x86_64'

In [5]: rhpl.ethtool.get_module("eth0")
Out[5]: 'forcedeth'
Comment 2 Fedora Admin XMLRPC Client 2009-04-14 15:22:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Chris Lumens 2009-07-06 11:26:40 EDT
We are working on killing rhpl instead, so this bug is no longer relevant.
Comment 4 Michael DeHaan 2009-07-06 11:34:23 EDT
It's completely relevant.

What are you replacing it with, and will it work consistently on all platforms and be available on all platforms?

Where was this announced?
Comment 5 Jeremy Katz 2009-07-06 11:43:01 EDT
There's a separate python-ethtool package which has different/more/better(?) bits.  And the same is true for basically everything included in rhpl.

rhpl as a dumping ground has got to die.  People just wrote stuff, stuck it in rhpl and then weren't interested in maintaining it.  So I've started filing bugs with patches for different classes of things requiring rhpl; first set was last week, next will probably be this week.
Comment 6 Michael DeHaan 2009-07-06 11:47:23 EDT

Thanks for providing an explanation and what library we should be looking at instead.   Much appreciated.


Note You need to log in before you can comment on or make changes to this bug.